Loading...
Searching...
No Matches
_SignatureInfo Struct Reference

## Data Fields

unsigned int | digestsize
unsigned int | blocksize
StringInfo * | digest
StringInfo * | message
unsigned int * | accumulator
unsigned int | low_order
unsigned int | high_order
size_t | extent
MagickBooleanType | lsb_first
time_t | timestamp
size_t | signature

## Detailed Description

Definition at line 66 of file signature.c.

## Field Documentation

## accumulator

unsigned int* _SignatureInfo::accumulator

Definition at line 77 of file signature.c.

## blocksize

unsigned int _SignatureInfo::blocksize

Definition at line 70 of file signature.c.

## digest

StringInfo* _SignatureInfo::digest

Definition at line 73 of file signature.c.

## digestsize

unsigned int _SignatureInfo::digestsize

Definition at line 69 of file signature.c.

## extent

size_t _SignatureInfo::extent

Definition at line 82 of file signature.c.

## high_order

unsigned int _SignatureInfo::high_order

Definition at line 79 of file signature.c.

## low_order

unsigned int _SignatureInfo::low_order

Definition at line 78 of file signature.c.

## lsb_first

MagickBooleanType _SignatureInfo::lsb_first

Definition at line 85 of file signature.c.

## message

StringInfo * _SignatureInfo::message

Definition at line 74 of file signature.c.

## signature

size_t _SignatureInfo::signature

Definition at line 91 of file signature.c.

## timestamp

time_t _SignatureInfo::timestamp

Definition at line 88 of file signature.c.

The documentation for this struct was generated from the following file:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/MagickCore/signature.c